package com.bonus.system.att.service;

import com.bonus.system.att.entity.AttGroupBean;
import com.bonus.system.basic.domain.SysTree;
import java.util.List;

/**
 * 考勤组-业务层
 * @author zys
 */
public interface AttGroupService {

    /**
     * 获取考勤组列表
     * @param bean 参数
     * @return list bean
     */
    List<AttGroupBean> selectAttGroupList(AttGroupBean bean);

    /**
     * 查询组织选择列表
     * @return map
     */
    List<SysTree> selectOrgList();

    /**
     * 删除考勤组
     * @param groupId 考勤组编号
     * @return 1|0
     */
    int deleteAttGroup(Long groupId);

    /**
     * 新增考勤组
     * @param bean 参数
     * @return 1|0
     */
    int insertAttGroup(AttGroupBean bean);

    /**
     * 根据考勤组编号获取详细信息
     * @param groupId 考勤组编号
     * @return bean
     */
    AttGroupBean selectAttGroupById(Long groupId);

    /**
     * 修改考勤组
     * @param bean 参数
     * @return 1|0
     */
    int updateAttGroup(AttGroupBean bean);
}
